#! /bin/sh
# /home/scripts_shell/update_sphinx_documentation.sh

cd /home/sphinx/

echo "-------------------------------------------"
echo "compilation des pages html ..."
sudo make html
echo " "

echo "-------------------------------------------"
echo "copie vers /var/www/html/documentation/ ..."
sudo cp -R /home/sphinx/build/html/* /var/www/html/documentation/
echo " "

echo "-------------------------------------------"
echo "création du fichier compressé ..."
sudo rm -f /home/zipped_sphinx/sphinx_documentation.zip
zip -r /home/zipped_sphinx/sphinx_documentation.zip /var/www/html/documentation/
echo " "
  
